Skip to content

Your organisation and its configuration

GET
/api/app/tenant-config
curl --request GET \
--url https://test.unipay.co.zw/api/app/tenant-config \
--header 'Authorization: Bearer <token>'

OK

Media typeapplication/json
object
tenant
object
name
string
nullable
type
string
nullable
status
string
nullable
entity
object
id
string format: uuid
name
string
nullable
number
string
nullable
shortCode
string
nullable
address
string
nullable
email
string
nullable
phoneNumber
string
nullable
features
object
eCommerce
boolean
payroll
boolean
paymentsInstruction
boolean
capabilities
Array<object>
nullable
object
paymentType
integer format: int32
Allowed values: 1 2 3 4
currency
string
nullable
reconciliation
object
bankFeeBearer
integer format: int32
Allowed values: 1 2
Example
{
"capabilities": [
{
"paymentType": 1
}
],
"reconciliation": {
"bankFeeBearer": 1
}
}

Bad Request

Media typeapplication/json
object
error
object
code
string
nullable
message
string
nullable
details
string
nullable
data
object
key
additional properties
validationErrors
Array<object>
nullable
object
message
string
nullable
members
Array<string>
nullable
Examplegenerated
{
"error": {
"code": "example",
"message": "example",
"details": "example",
"data": {
"additionalProperty": "example"
},
"validationErrors": [
{
"message": "example",
"members": [
"example"
]
}
]
}
}

Unauthorized: token missing, invalid or expired. Empty body.

Forbidden: the token lacks the scope this call needs. Empty body. (Refusals specific to your organisation use the error object.)

Not found: wrong path. Empty body.

Internal Server Error

Media typeapplication/json
object
error
object
code
string
nullable
message
string
nullable
details
string
nullable
data
object
key
additional properties
validationErrors
Array<object>
nullable
object
message
string
nullable
members
Array<string>
nullable
Examplegenerated
{
"error": {
"code": "example",
"message": "example",
"details": "example",
"data": {
"additionalProperty": "example"
},
"validationErrors": [
{
"message": "example",
"members": [
"example"
]
}
]
}
}

UniPay API v1 · build e1eb5c49 · Powered by Axis Solutions